<ion-content class="ion-padding">
  <ion-button class="btn-config" fill="clear" (click)="openConfig()" *ngIf="apiUrl">
    <ion-icon name="ios-settings"></ion-icon>
  </ion-button>

  <div class="login-container" *ngIf="showLogin">
      <div class="logo-container">
        <img src="assets/imgs/logo.png" alt="">
      </div>
      <div class="login-form">
          <ion-item lines="none">
              <ion-input type="text" placeholder="Username" [(ngModel)]="username"></ion-input>
          </ion-item>
          <ion-item lines="none">              
              <ion-input type="password" placeholder="Password" [(ngModel)]="password"></ion-input>    
          </ion-item>            
      </div>
      <div class="login-button">
        <ion-button class="btn-login" mode="ios" shape="round" *ngIf="apiUrl" (click)="login()" [disabled]="!username.trim() || !password.trim() || authenticating">
          <span *ngIf="!authenticating">
            Login
            <ion-icon name="ios-arrow-forward"></ion-icon>
          </span>
          <!-- <span *ngIf="authenticating">Authenticating...</span> -->
          <ion-spinner name="dots" *ngIf="authenticating"></ion-spinner>
        </ion-button>

        <ion-button fill="clear" mode="ios" *ngIf="!apiUrl" (click)="openConfig()">Set Config</ion-button>
      </div>
  </div>
  <div class="authenticating" *ngIf="!showLogin">
      <div class="logo-container">
          <img src="assets/imgs/logo.jpg" alt="">
      </div>
  </div>
</ion-content>